<?php
	
	$air_condition_repair_tp_theme_css = '';

	// 1st color
	$air_condition_repair_tp_color_option_first = get_theme_mod('air_condition_repair_tp_color_option_first', '#E87400');
	if ($air_condition_repair_tp_color_option_first) {
		$air_condition_repair_tp_theme_css .= ':root {';
		$air_condition_repair_tp_theme_css .= '--color-primary1: ' . esc_attr($air_condition_repair_tp_color_option_first) . ';';
		$air_condition_repair_tp_theme_css .= '}';
	}

	// 2nd color
	$air_condition_repair_tp_color_option_sec = get_theme_mod('air_condition_repair_tp_color_option_sec', '#006FC9');
	if ($air_condition_repair_tp_color_option_sec) {
		$air_condition_repair_tp_theme_css .= ':root {';
		$air_condition_repair_tp_theme_css .= '--color-primary2: ' . esc_attr($air_condition_repair_tp_color_option_sec) . ';';
		$air_condition_repair_tp_theme_css .= '}';
	}

	// preloader
	$air_condition_repair_tp_preloader_color1_option = get_theme_mod('air_condition_repair_tp_preloader_color1_option');
	if($air_condition_repair_tp_preloader_color1_option != false){
	$air_condition_repair_tp_theme_css .='.center1{';
		$air_condition_repair_tp_theme_css .='border-color: '.esc_attr($air_condition_repair_tp_preloader_color1_option).' !important;';
	$air_condition_repair_tp_theme_css .='}';
	}
	if($air_condition_repair_tp_preloader_color1_option != false){
	$air_condition_repair_tp_theme_css .='.center1 .ring::before{';
		$air_condition_repair_tp_theme_css .='background: '.esc_attr($air_condition_repair_tp_preloader_color1_option).' !important;';
	$air_condition_repair_tp_theme_css .='}';
	}

	$air_condition_repair_tp_preloader_color2_option = get_theme_mod('air_condition_repair_tp_preloader_color2_option');

	if($air_condition_repair_tp_preloader_color2_option != false){
	$air_condition_repair_tp_theme_css .='.center2{';
		$air_condition_repair_tp_theme_css .='border-color: '.esc_attr($air_condition_repair_tp_preloader_color2_option).' !important;';
	$air_condition_repair_tp_theme_css .='}';
	}
	if($air_condition_repair_tp_preloader_color2_option != false){
	$air_condition_repair_tp_theme_css .='.center2 .ring::before{';
		$air_condition_repair_tp_theme_css .='background: '.esc_attr($air_condition_repair_tp_preloader_color2_option).' !important;';
	$air_condition_repair_tp_theme_css .='}';
	}

	$air_condition_repair_tp_preloader_bg_color_option = get_theme_mod('air_condition_repair_tp_preloader_bg_color_option');

	if($air_condition_repair_tp_preloader_bg_color_option != false){
	$air_condition_repair_tp_theme_css .='.loader{';
		$air_condition_repair_tp_theme_css .='background: '.esc_attr($air_condition_repair_tp_preloader_bg_color_option).';';
	$air_condition_repair_tp_theme_css .='}';
	}

	$air_condition_repair_tp_footer_bg_color_option = get_theme_mod('air_condition_repair_tp_footer_bg_color_option');


	if($air_condition_repair_tp_footer_bg_color_option != false){
	$air_condition_repair_tp_theme_css .='#footer{';
		$air_condition_repair_tp_theme_css .='background: '.esc_attr($air_condition_repair_tp_footer_bg_color_option).';';
	$air_condition_repair_tp_theme_css .='}';
	}

	// logo tagline color
	$air_condition_repair_site_tagline_color = get_theme_mod('air_condition_repair_site_tagline_color');

	if($air_condition_repair_site_tagline_color != false){
	$air_condition_repair_tp_theme_css .='.logo h1 a, .logo p a, .logo p.site-title a{';
	$air_condition_repair_tp_theme_css .='color: '.esc_attr($air_condition_repair_site_tagline_color).';';
	$air_condition_repair_tp_theme_css .='}';
	}

	$air_condition_repair_logo_tagline_color = get_theme_mod('air_condition_repair_logo_tagline_color');
	if($air_condition_repair_logo_tagline_color != false){
	$air_condition_repair_tp_theme_css .='p.site-description{';
	$air_condition_repair_tp_theme_css .='color: '.esc_attr($air_condition_repair_logo_tagline_color).';';
	$air_condition_repair_tp_theme_css .='}';
	}

	// footer widget title color
	$air_condition_repair_footer_widget_title_color = get_theme_mod('air_condition_repair_footer_widget_title_color');
	if($air_condition_repair_footer_widget_title_color != false){
	$air_condition_repair_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
	$air_condition_repair_tp_theme_css .='color: '.esc_attr($air_condition_repair_footer_widget_title_color).';';
	$air_condition_repair_tp_theme_css .='}';
	}

	// copyright text color
	$air_condition_repair_footer_copyright_text_color = get_theme_mod('air_condition_repair_footer_copyright_text_color');
	if($air_condition_repair_footer_copyright_text_color != false){
	$air_condition_repair_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
	$air_condition_repair_tp_theme_css .='color: '.esc_attr($air_condition_repair_footer_copyright_text_color).'!important;';
	$air_condition_repair_tp_theme_css .='}';
	}

	// header image title color
	$air_condition_repair_header_image_title_text_color = get_theme_mod('air_condition_repair_header_image_title_text_color');
	if($air_condition_repair_header_image_title_text_color != false){
	$air_condition_repair_tp_theme_css .='.box-text h2{';
	$air_condition_repair_tp_theme_css .='color: '.esc_attr($air_condition_repair_header_image_title_text_color).';';
	$air_condition_repair_tp_theme_css .='}';
	}

	// menu color
	$air_condition_repair_menu_color = get_theme_mod('air_condition_repair_menu_color');
	if($air_condition_repair_menu_color != false){
	$air_condition_repair_tp_theme_css .='.main-navigation a{';
	$air_condition_repair_tp_theme_css .='color: '.esc_attr($air_condition_repair_menu_color).';';
	$air_condition_repair_tp_theme_css .='}';
}


//Footer Font Weight
$air_condition_repair_footer_copyright_title_font_weight = get_theme_mod( 'air_condition_repair_footer_copyright_title_font_weight','');
if($air_condition_repair_footer_copyright_title_font_weight == '100'){
$air_condition_repair_tp_theme_css .='#footer .site-info p {';
    $air_condition_repair_tp_theme_css .='font-weight: 100;';
$air_condition_repair_tp_theme_css .='}';
}else if($air_condition_repair_footer_copyright_title_font_weight == '200'){
$air_condition_repair_tp_theme_css .='#footer .site-info p {';
    $air_condition_repair_tp_theme_css .='font-weight: 200;';
$air_condition_repair_tp_theme_css .='}';
}else if($air_condition_repair_footer_copyright_title_font_weight == '300'){
$air_condition_repair_tp_theme_css .='#footer .site-info p {';
    $air_condition_repair_tp_theme_css .='font-weight: 300;';
$air_condition_repair_tp_theme_css .='}';
}else if($air_condition_repair_footer_copyright_title_font_weight == '400'){
$air_condition_repair_tp_theme_css .='#footer .site-info p {';
    $air_condition_repair_tp_theme_css .='font-weight: 400;';
$air_condition_repair_tp_theme_css .='}';
}else if($air_condition_repair_footer_copyright_title_font_weight == '500'){
$air_condition_repair_tp_theme_css .='#footer .site-info p {';
    $air_condition_repair_tp_theme_css .='font-weight: 500;';
$air_condition_repair_tp_theme_css .='}';
}else if($air_condition_repair_footer_copyright_title_font_weight == '600'){
$air_condition_repair_tp_theme_css .='#footer .site-info p {';
    $air_condition_repair_tp_theme_css .='font-weight: 600;';
$air_condition_repair_tp_theme_css .='}';
}else if($air_condition_repair_footer_copyright_title_font_weight == '700'){
$air_condition_repair_tp_theme_css .='#footer .site-info p {';
    $air_condition_repair_tp_theme_css .='font-weight: 700;';
$air_condition_repair_tp_theme_css .='}';
}else if($air_condition_repair_footer_copyright_title_font_weight == '800'){
$air_condition_repair_tp_theme_css .='#footer .site-info p {';
    $air_condition_repair_tp_theme_css .='font-weight: 800;';
$air_condition_repair_tp_theme_css .='}';
}else if($air_condition_repair_footer_copyright_title_font_weight == '900'){
$air_condition_repair_tp_theme_css .='#footer .site-info p {';
    $air_condition_repair_tp_theme_css .='font-weight: 900;';
$air_condition_repair_tp_theme_css .='}';
}